# Copyright 2019 Bastian Blank <waldi@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

package Dpkg::Source::Package::V3::Gitarchive::Pristine;

use v5.28;
use warnings;

use Cwd qw(abs_path);
use Dpkg::IPC qw(spawn);

sub new {
    my ($this, $dir) = @_;
    my $class = ref($this) || $this;
    my $self = {
        dir => $dir,
    };
    bless $self, $class;
}

sub commit {
    my ($self, $file) = @_;
    my @exec = ('pristine-lfs', 'commit', abs_path($file));
    spawn(exec => \@exec, chdir => $self->{dir}, timeout => 10);
}

sub ls {
    my ($self, $pipe) = @_;
    my @exec = ('pristine-lfs', 'list');
    spawn(exec => \@exec, chdir => $self->{dir}, to_pipe => $pipe, timeout => 10);
}

1;
